﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using Infragistics.Web.UI.ListControls;
using System.Data;


namespace InfragisticsTests
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                XmlDataSource ds = new XmlDataSource();
                ds.ID = "asd";
                ds.Data = "<root type=\"root\" text=\"test\" projectType=\"1\" image=\"site.ico\" ID=\"2\" />";
                WebDataTree1.DataSource = ds;
                WebDataTree1.DataBind();
            }

            XmlDataSource xmlTreeSource = new XmlDataSource();
            xmlTreeSource.CacheDuration = 0;
            xmlTreeSource.EnableCaching = false;
            xmlTreeSource.ID = "Source";
            xmlTreeSource.Transform = "<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>" +
                    "<xsl:output method='xml' indent='yes'/>" +
                    "<xsl:template match='tab'></xsl:template>" +
                    "<xsl:template match='@* | node()'>" +
                    "<xsl:copy><xsl:apply-templates select='@* | node()'/></xsl:copy>" +
                    "</xsl:template></xsl:stylesheet>";
            xmlTreeSource.Data = "<root text=\"Nodes\">"+
  "<node text=\"Source file set\" type=\"Fileset|Source|NewNode_Tree|/root/node[1]\" image=\"Folder.ico\" Active=\"True\">"+
    "<tab name=\"FileSetProperties\">"+
      "<payload />"+
    "</tab>"+
    "<tab name=\"TriggerDetails\">"+
      "<payload />"+
    "</tab>"+
    "<tab name=\"Validations\">"+
      "<payload />"+
    "</tab>"+
 " </node>"+
  "<node text=\"Source file\" type=\"File|Source|NewNode_Tree|/root/node[2]\" image=\"File.ico\" Active=\"True\">"+
    "<tab name=\"Properties\">"+
      "<payload />"+
   " </tab>"+
    "<tab name=\"TriggerDetails\">"+
     " <payload />"+
    "</tab>"+
    "<tab name=\"Validations\">"+
     " <payload />"+
    "</tab>"+
  "</node></root>";

            WebDataTree2.DataSource=xmlTreeSource;
            WebDataTree2.DataBind();
 
        }

        protected void Page_Init(object sender, EventArgs e)
        {
            Infragistics.Web.UI.NavigationControls.DataTreeNodeBinding root = new Infragistics.Web.UI.NavigationControls.DataTreeNodeBinding();
        root.DataMember = "root";
        root.TextField = "text";
        root.ImageUrlField = "image";
        root.ValueField = "text";
        root.KeyField = "text";

        Infragistics.Web.UI.NavigationControls.DataTreeNodeBinding node = new Infragistics.Web.UI.NavigationControls.DataTreeNodeBinding();
        node.DataMember = "node";
        node.TextField = "text";
        node.ValueField = "type";
        node.ImageUrlField = "image";
        node.KeyField = "ID";

        WebDataTree2.DataBindings.Add(root);
        WebDataTree2.DataBindings.Add(node);
        //    ((DropDownProvider)WebDataGrid1.EditorProviders["SortOrderEditorProvider"]).EditorControl.Items.Add(new DropDownItem(""));
        //    ((DropDownProvider)WebDataGrid1.EditorProviders["SortOrderEditorProvider"]).EditorControl.Items.Add(new DropDownItem("Asc"));
        //    ((DropDownProvider)WebDataGrid1.EditorProviders["SortOrderEditorProvider"]).EditorControl.Items.Add(new DropDownItem("Desc"));

        //    ((DropDownProvider)WebDataGrid1.EditorProviders["DomainEditorProvider"]).EditorControl.Items.Add(new DropDownItem(""));
        //    ((DropDownProvider)WebDataGrid1.EditorProviders["DomainEditorProvider"]).EditorControl.Items.Add(new DropDownItem("UK"));
        //    ((DropDownProvider)WebDataGrid1.EditorProviders["DomainEditorProvider"]).EditorControl.Items.Add(new DropDownItem("FR"));
        //     DataTable dt = new DataTable();

        //     dt.Columns.Add("FieldId");

        //     dt.Columns.Add("Name");

        //     dt.Columns.Add("Domain");

        //     dt.Columns.Add("Sort");
        //     dt.Columns.Add("SortOrder");
            
        //    WebDataGrid1.DataSource = dt;
        //    WebDataGrid1.DataBind();
           
        }
    }
}
